org.eclipse.graphiti.ui.internal.editor

## Class GFCreationTool

- java.lang.Object
- - org.eclipse.gef.util.FlagSupport
  - - org.eclipse.gef.tools.AbstractTool
    - - org.eclipse.gef.tools.TargetingTool
      - - org.eclipse.gef.tools.CreationTool
        - - org.eclipse.graphiti.ui.internal.editor.GFCreationTool

All Implemented Interfaces:
  org.eclipse.gef.RequestConstants, org.eclipse.gef.Tool

    public class GFCreationTool
    extends org.eclipse.gef.tools.CreationTool

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.gef.tools.AbstractTool

`org.eclipse.gef.tools.AbstractTool.Input`

### Field Summary

### Fields inherited from class org.eclipse.gef.tools.CreationTool

`PROPERTY_CREATION_FACTORY`

### Fields inherited from class org.eclipse.gef.tools.AbstractTool

`PROPERTY_UNLOAD_WHEN_FINISHED`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`GFCreationTool()` Default constructor.
`GFCreationTool(org.eclipse.gef.requests.CreationFactory aFactory)` Constructs a new CreationTool with the given factory.

### Method Summary

### Methods inherited from class org.eclipse.gef.tools.CreationTool

`deactivate, setFactory`

### Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, commitDrag, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setDefaultCursor, setDisabledCursor, setEditDomain, setProperties, setUnloadWhenFinished, setViewer, viewerEntered, viewerExited`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GFCreationTool

    public GFCreationTool()

Default constructor. Sets the default and disabled cursors.

#### GFCreationTool

    public GFCreationTool(org.eclipse.gef.requests.CreationFactory aFactory)

Constructs a new CreationTool with the given factory.

Parameters:
  `aFactory` - the creation factory